﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
    <title>@ViewData["Title"] - APLIKASI SISWA SEKOLAH AT-TAUFIQ BOGOR</title>

    <!-- General CSS Files -->
    <script src="~/assets/modules/jquery.min.js"></script>
    <link rel="shortcut icon" href="~/assets/img/logo/atq.png" />
    <link rel="stylesheet" href="~/assets/modules/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="~/assets/modules/fontawesome/css/all.min.css">

    <!-- CSS Libraries -->
    <link rel="stylesheet" href="~/assets/modules/select2/dist/css/select2.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.0.0/animate.min.css" />
    <link rel="stylesheet" href="~/assets/css/custom.css">
    <link rel="stylesheet" href="~/assets/plugin/datatable/1.10.19/css/dataTables.bootstrap4.min.css">
    <script src="~/assets/plugin/datatable/1.10.19/js/jquery.dataTables.js"></script>
    <script src="~/assets/plugin/datatable/1.10.19/js/dataTables.bootstrap4.min.js"></script>
    <link rel="stylesheet" href="~/assets/modules/datatables/Select-1.2.4/css/select.bootstrap4.min.css">
    <link rel="stylesheet" href="~/assets/plugin/fancybox-master/dist/jquery.fancybox.min.css" type="text/css" />
    <link rel="stylesheet" href="~/assets/modules/summernote/summernote-bs4.css">
    <link rel="stylesheet" href="~/assets/modules/izitoast/css/iziToast.min.css">
    <link rel="stylesheet" href="~/assets/plugin/datepicker/datepicker.css">
    <link rel="stylesheet" href="~/assets/plugin/clockpicker/jquery-clockpicker.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="~/assets/plugin/sweetalert/dist/sweetalert.css">

    <!-- Template CSS -->
    <link rel="stylesheet" href="~/assets/css/style.css">
    <link rel="stylesheet" href="~/assets/css/components.css">
    <style>
        #chartdiv {
            width: 100%;
            height: 250px;
            font-size: 11px;
        }

        .popover.clockpicker-popover {
            z-index: 1050;
        }
    </style>
</head>

<body class="layout-3">
    <div id="loading" style="display:none;">
        <div style="margin-top: 210px;"><center><img src="~/assets/img/loading.gif" width="150px" alt="Loading..." /></center></div>
        <div style="margin-top: -20px;"><center><b><font color="black">Sedang memuat, harap menunggu...</font></b></center></div>
    </div>
    <div id="app">
        <div class="main-wrapper @(ViewData["container-fluid"] == null ? Html.Raw("container") : ViewData["container-fluid"])">

            <!-- div class="main-wrapper container" --->
            <div class="navbar-bg" style="background: linear-gradient(90deg, rgb(255 151 108) 16%, rgb(255, 183, 59) 100%)"></div>
            @Html.Partial("PartialPage/Menu")

            <!-- Main Content -->
            <div class="main-content">
                @RenderBody()
            </div>
            <footer class="main-footer">
                <div class="footer-left">
                    Copyright &copy; 2020 <div class="bullet"></div> Made with <i class="fa fa-heart text-danger"></i> By <a href="http://sekolahattaufiq.id/">SEKOLAH ATTAUFIQ</a>
                </div>
                <div class="footer-right">

                </div>
            </footer>
        </div>
    </div>

    <!-- General JS Scripts -->
    @Html.Partial("Components/GantiPassword")
    @Html.Partial("PartialPage/ModalPin")

    @{
        if(ViewBag.siswabanner != null){
            
                <div class="modal fade" id="Banner" role="dialog">
                    <div class="modal-dialog modal-sm modal-dialog-centered" role="document">
                        <div class="modal-content" style="background:transparent">
                           
                            <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
                                <div class="carousel-inner">
                                @{
                                    if(ViewBag.siswabanner != null){
                                        var i = 0;
                                        foreach (var item in ViewBag.siswabanner)
                                        {
                                            i++;
                                            <div class="carousel-item @(i == 1 ? Html.Raw("active") : Html.Raw("inactive"))">
                                                <img class="img-fluid" src="/Asset/Files/Appl/File/@item.FileImage" alt="First slide" >
                                            </div>
                                        }
                                    }
                                }

                                </div>
                                <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Previous</span>
                                </a>
                                <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Next</span>
                                </a>
                            </div>

                            <button type="button" class="btn btn-danger" id="save_banner" onclick="TutupBanner();" style="display: block; max-width: 100%;">
                                <span class="glyphicon glyphicon-remove-circle">
                                </span> Tutup
                            </button>
                        </div>
                    </div>
                </div>
            }
        }

    <script src="~/assets/modules/popper.js"></script>
    <script src="~/assets/modules/tooltip.js"></script>
    <script src="~/assets/modules/bootstrap/js/bootstrap.min.js"></script>
    <script src="~/assets/modules/nicescroll/jquery.nicescroll.min.js"></script>
    <script src="~/assets/modules/moment.min.js"></script>
    <script src="~/assets/js/stisla.js"></script>

    <!-- JS Libraies -->
    <script src="~/assets/modules/prism/prism.js"></script>
    <script src="~/assets/js/page/bootstrap-modal.js"></script>
    <script src="~/assets/plugin/fancybox-master/dist/jquery.fancybox.min.js"></script>
    <script src="~/assets/modules/summernote/summernote-bs4.js"></script>
    <script src="~/assets/modules/izitoast/js/iziToast.min.js"></script>
    <script src="~/assets/plugin/amcharts3/amcharts.js" type="text/javascript"></script>
    <script src="~/assets/plugin/amcharts3/serial.js" type="text/javascript"></script>
    <script src="~/assets/plugin/amcharts3/radar.js" type="text/javascript"></script>
    <script src="~/assets/plugin/amcharts3/pie.js" type="text/javascript"></script>
    <script src="~/assets/plugin/amcharts3/themes/costum.js"></script>
    <script src="~/assets/plugin/datepicker/datepicker.js"></script>
    <script src="~/assets/plugin/clockpicker/jquery-clockpicker.min.js"></script>
    <script src="~/assets/plugin/sweetalert/dist/sweetalert.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.8.4/moment.min.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.21/sorting/datetime-moment.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.21/sorting/date-uk.js"></script>
    <script src="~/assets/modules/select2/dist/js/select2.full.min.js"></script>
    <!-- Template JS File -->
    <script src="~/assets/js/scripts.js"></script>
    <script src="~/assets/js/custom.js"></script>

    <!-- WEB -->
    <script type="text/javascript">
        var getSesi = window.sessionStorage["banner"];
        if (getSesi != 'createsesi_save_bannerx') {
            //tampil 
            $('#Banner').modal("show");
        } else {
            // create session        
            $('#Banner').modal("hide");
        }
        function TutupBanner() {
            //window.sessionStorage["banner"] = "createsesi_save_bannerx";
            $('#Banner').modal("hide");
        }
        function ProgressBar(Status) {
            if (Status == "wait") {
                $("body").css("cursor", "progress");
                $("#loading").removeAttr("style");
            } else if (Status == "success") {
                $("body").css("cursor", "default");
                $("#loading").css("display", "none");
            }
        }

        $('.summernotes').summernote();
        $('.select2').select2();
    </script>
    <script type="text/javascript" src="~/assets/appjs/function.js" asp-append-version="true"></script>
    <script type="text/javascript" src="~/assets/appjs/user.js" asp-append-version="true"></script>
    <script type="text/javascript" src="~/assets/appjs/combo.js" asp-append-version="true"></script>
    <script type="text/javascript" src="~/assets/appjs/siswa/index.js" asp-append-version="true"></script>
    @{
        if (ViewBag.ModuleJs != null)
        {
            foreach (var item in ViewBag.ModuleJs)
            {
                <script src="~/assets/appjs/@item.Path/@item.NameJs" asp-append-version="true"></script>
            }
        }
    }
    <script src="https://www.gstatic.com/firebasejs/7.14.6/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/7.14.6/firebase-messaging.js"></script>
    <script type="text/javascript">
        CekEditProfil();
        function CekEditProfil() {
            var Url = base_url + "/api/Siswas/IsEditSiswaProfil";
            $.ajax({
                url: Url,
                type: "GET",
                dataType: "json",
                beforeSend: function (beforesend) {
                    ProgressBar("wait");
                },
                success: function (res) {
                    ProgressBar("success");
                    if (!res.IsSuccess) {
                        $("#ModalEditProfilSiswaGambar")
                        .modal({
                            backdrop: "static",
                            keyboard: false,
                        });
                    }
                },
                error: function (err, a, msg) {
                    ProgressBar("success");
                    swal({
                        title: "Error",
                        text: `x ${err.status} ${msg}`,
                        confirmButtonClass: "btn-danger text-white",
                        confirmButtonText: "Oke, Mengerti",
                        type: "error",
                    });
                },
            });
        }
        function modalUpdateBiodata() {
            $('#ModalEditProfilSiswaGambar').modal("hide");
            ProgressBar("wait");
            setTimeout(() => {
                ProgressBar("success");
                GetSiswaProfile()
                $("#ModalEditProfilSiswa")
                .modal({
                    backdrop: "static",
                    keyboard: false,
                });
                $('#BtnTutupModalEditProfil').attr("href","/user/logout")
            }, 1000);
        }
        function geojson(){
            //firebase notif
            const firebaseConfig = {
                apiKey: "AIzaSyCIEAav_s8lUwbPXgzAHupPXScfMdF_MzA",
                authDomain: "swg-attaufiq.firebaseapp.com",
                projectId: "swg-attaufiq",
                storageBucket: "swg-attaufiq.appspot.com",
                messagingSenderId: "1006170673539",
                appId: "1:1006170673539:web:05b1f7380924f3b62ba6b6"
            };
            firebase.initializeApp(firebaseConfig);
            const messaging = firebase.messaging();
        
            function IntitalizeFireBaseMessaging() {
                messaging
                    .requestPermission()
                    .then(function () {
                        console.log("Notification Permission");
                        return messaging.getToken();
                    })
                    .then(function (token) {
                        $.ajax({
                            url: `${base_url}/Api/Siswas/UpdateTokenFcmSiswa?Token=${token}`,
                            type: 'GET',
                            dataType: 'JSON',
                            beforeSend: (e) => {
                                ProgressBar('wait');
                            },
                            success: (res) => {
                                ProgressBar('success');
                                console.log("Token : "+ token);
                            },
                            error: (e) => {
                                ProgressBar('success');
                                console.log('err')
                            }
                        })
                    })
                    .catch(function (reason) {
                        console.log(reason);
                    });
            }
        
            messaging.onMessage(function (payload) {
                console.log(payload);
                const notificationOption={
                    body:payload.notification.body,
                    icon:payload.notification.icon
                };
        
                if(Notification.permission === "granted"){
                    var notification=new Notification(payload.notification.title,notificationOption);
        
                    notification.onclick=function (ev) {
                        ev.preventDefault();
                        window.open(payload.notification.click_action,'_blank');
                        notification.close();
                    }
                }
        
            });
            messaging.onTokenRefresh(function () {
                messaging.getToken()
                    .then(function (newtoken) {
                        $.ajax({
                            url: `${base_url}/Api/Siswas/UpdateTokenFcmSiswa?Token=${newtoken}&UserAgent${navigator.userAgent}`,
                            type: 'GET',
                            dataType: 'JSON',
                            beforeSend: (e) => {
                                ProgressBar('wait');
                            },
                            success: (res) => {
                                ProgressBar('success');
                                console.log("newtoken : "+ newtoken);
                            },
                            error: (e) => {
                                ProgressBar('success');
                                console.log('err newtoken')
                            }
                        })
                    })
                    .catch(function (reason) {
                        console.log(reason);
                    })
            })
            IntitalizeFireBaseMessaging();
            
            //get latlon
            if (navigator.geolocation) {
                navigator.geolocation.getCurrentPosition(showPosition, showError);
            } else { 
                Swal.fire({
                    title: "Info",
                    html: 'Browser tidak didukung, silahkan menggunakan browser lain',
                    type: "info",
                }).then((result) => {
                    window.location = base_url + 'users/logout';
                });
            }

            function showPosition(position) {
                console.log('position.coords.longitude -> ', position.coords.longitude)
                console.log('position.coords.latitude -> ', position.coords.latitude)
                
            }

            function showError(error) {
                switch(error.code) {
                    case error.PERMISSION_DENIED:
                        //Swal.fire({
                        //    title: "Info",
                        //    html: 'Tolong izinkan kami untuk mengakses lokasi anda !',
                        //    type: "info",
                        //}).then((result) => {
                            //window.location = base_url + 'users/logout';
                        //});
                        break;
                    case error.POSITION_UNAVAILABLE:
                        Swal.fire({
                            title: "Info",
                            html: 'Lokasi anda tidak dapat ditemukan, nyalakan GPS !',
                            type: "info",
                        }).then((result) => {
                            //window.location = base_url + 'users/logout';
                        });
                        break;
                    case error.TIMEOUT:
                        Swal.fire({
                            title: "Info",
                            html: 'The request to get user location timed out !',
                            type: "info",
                        }).then((result) => {
                            //window.location = base_url + 'users/logout';
                        });
                        window.location.reload(10);
                        break;
                    case error.UNKNOWN_ERROR:
                        Swal.fire({
                            title: "Info",
                            html: 'An unknown error occurred !',
                            type: "info",
                        }).then((result) => {
                            //window.location = base_url + 'users/logout';
                        });
                        window.location.reload(10);
                        break;
                }
            }
        }

        geojson()
    </script>
</body>
</html>